package com.ruoyi.nanjing.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.Date;

/**
 * 工位历史生产信息对象 T_RP_WorkTrayHistoryInfo
 * 
 * @author limy
 * @date 2021-01-28
 */
public class TRpWorktrayhistoryinfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 当前工位 */
//    @Excel(name = "当前工位")
    private String currentStation;


    /** RFID条码 */
//    @Excel(name = "RFID条码")
    private String rfidNum;

//    @Excel(name = "工位码")
    private TBdSubstation substation;

//    @Excel(name = "产品码")
    private TRpBarcoderelationship barcoderelationship;

    @Excel(name = "工位码")
    private String stationCode;
    @Excel(name = "托盘条码")
    private String rfidNO;
    /** 系统条码 */
    @Excel(name = "系统条码")
    private String barCode;
    @Excel(name = "部件码")
    private String productBarcode;

    public String getStationCode() {
        return stationCode;
    }

    public void setStationCode(String stationCode) {
        this.stationCode = stationCode;
    }

    public String getProductBarcode() {
        return productBarcode;
    }

    public void setProductBarcode(String productBarcode) {
        this.productBarcode = productBarcode;
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }


    private int count;

    public int getCount() {
        return count;
    }

    public void setCount(int count) {
        this.count = count;
    }

    /** 质量品级 */
    @Excel(name = "状态", dictType="proState")
    private String state;
    @Excel(name = "记录时间",width = 30, dateFormat = "yyyy-MM-dd")
    private Date insertTime;
    private String beginTime;

    public String getBeginTime() {
        return beginTime;
    }

    public void setBeginTime(String beginTime) {
        this.beginTime = beginTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    private String endTime;
    public String getRfidNO() {return rfidNO;}

    public void setRfidNO(String rfidNO) {
        this.rfidNO = rfidNO;
    }

    private TRpStationpara stationpara;

    public TRpStationpara getStationpara() {
        return stationpara;
    }

    public void setStationpara(TRpStationpara stationpara) {
        this.stationpara = stationpara;
    }

    public TBdSubstation getSubstation() {
        return substation;
    }

    public void setSubstation(TBdSubstation substation) {
        this.substation = substation;
    }

    public TRpBarcoderelationship getBarcoderelationship() {
        return barcoderelationship;
    }

    public void setBarcoderelationship(TRpBarcoderelationship barcoderelationship) {
        this.barcoderelationship = barcoderelationship;
    }


    public void setCurrentStation(String currentStation) 
    {
        this.currentStation = currentStation;
    }

    public String getCurrentStation() 
    {
        return currentStation;
    }
    public void setBarCode(String barCode) 
    {
        this.barCode = barCode;
    }

    public String getBarCode() 
    {
        return barCode;
    }
    public void setRfidNum(String rfidNum)
    {
        this.rfidNum = rfidNum;
    }

    public String getRfidNum()
    {
        return rfidNum;
    }
    public void setState(String state) 
    {
        this.state = state;
    }

    public String getState() 
    {
        return state;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("currentStation", getCurrentStation())
            .append("barCode", getBarCode())
            .append("rfidNum", getRfidNum())
            .append("state", getState())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
